com.smartgwt.client.widgets.events

## Interface HasMouseStillDownHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    ActiveXControl, AdvancedHiliteEditor, Applet, BatchUploader, BatchUploader, BrowserPlugin, Button, Calendar, Canvas, ColorPicker, ColumnTree, CubeGrid, DateChooser, DateGrid, DateRangeDialog, DetailViewer, Dialog, DrawPane, DynamicForm, EdgedCanvas, EventWindow, FacetChart, FieldPickerWindow, FilterBuilder, FilterClause, Flashlet, FlowLayout, Gauge, GridRenderer, HeaderControl, HiliteEditor, HiliteRule, HLayout, HStack, HTMLFlow, HTMLPane, IButton, IconButton, IconMenuButton, IMenuButton, Img, ImgButton, ImgSectionHeader, ImgSplitbar, ImgTab, Label, Layout, LayoutSpacer, ListGrid, Menu, MenuBar, MenuButton, MultiFilePicker, MultiGroupDialog, NavigationBar, NavigationButton, PortalLayout, Portlet, PrintCanvas, PrintWindow, Progressbar, PropertySheet, RangeSlider, RibbonBar, RibbonGroup, RichTextEditor, Scrollbar, SearchForm, SectionHeader, SectionStack, SimpleTile, Slider, Snapbar, Splitbar, SplitPane, StatefulCanvas, StretchImg, StretchImgButton, SVG, TabBar, TableView, TabSet, TileGrid, TileLayout, Timeline, Toolbar, ToolStrip, ToolStripButton, ToolStripGroup, ToolStripMenuButton, ToolStripResizer, ToolStripSeparator, TransferImgButton, TreeGrid, TreeMenuButton, ViewLoader, VLayout, VStack, WidgetCanvas, Window

      public interface HasMouseStillDownHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addMouseStillDownHandler(MouseStillDownHandler handler)` Executed repeatedly (every `mouseStillDownDelay` by default) when the system is idle - i.e.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addMouseStillDownHandler

          com.google.gwt.event.shared.HandlerRegistration addMouseStillDownHandler(MouseStillDownHandler handler)

      Executed repeatedly (every `mouseStillDownDelay` by default) when the system is idle - i.e. not busy running other scripts - and the left mouse button is held down after having been pressed in the object. This event is not native to JavaScript, but is provided by the ISC system.

      Note: The event handling system waits `mouseStillDownInitialDelay` before calling mouseStillDown for the first time on the widget. Subsequently the method is called every `mouseStillDownDelay`. Both attributes are configurable per widget instance.

      This method is called only when the left mouse is held down.

      Parameters:
        `handler` - the mouseStillDown handler
      Returns:
        `HandlerRegistration` used to remove this handler